@ECHO OFF
:: Title & Description Of Batch File.
ECHO ApkSigner v0.3  Test-Keys                    +
ECHO Andy Harney 2011                             +
ECHO Quickly Sign + ZipAlign Your Customised APKs +
ECHO ++++++++++++++++++++++++++++++++++++++++++++++
ECHO.
:: Message To Confirm With User The Purpose Of This Script.
ECHO.
ECHO Place all the apk's you wish to sign into the INPUT Folder.
ECHO All signed apk's will be in the SIGNED folder.
ECHO.
PAUSE
ECHO.
:: Confirmation Of Output Filename.
ECHO Processing .....
ECHO.
FOR %%A in (.\INPUT\*.apk) do (
ECHO  - %%~nA.apk is now being signed.
:: Location Of JAVA On Host System & Output Filename
java -jar signapk.jar testkey.x509.pem testkey.pk8 "%%A" ".\SIGNED\%%~nA.apk"
)
ECHO.
:: Confirmation Of Signing Complete
ECHO Done, It's as simple as peas.
ECHO.
SET /P ANSWER=Do you want to ZipAlign your APK? (Y/N)?
IF /i {%ANSWER%}=={y} (goto :yes)
IF /i {%ANSWER%}=={yes} (goto :yes)
GOTO :no
:yes
ECHO.
ECHO ZipAligning...
ECHO.
FOR %%A in (.\SIGNED\*.apk) do (
zipalign.exe -f -v 4 "%%A" .\ZIPALIGNED\%%~nA.apk
)
ECHO.
ECHO Done, that was also, as simple as peas.
ECHO.
PAUSE
EXIT /b 0

:no
ECHO.
ECHO Your APK has NOT been ZipAligned.
ECHO.
PAUSE
EXIT /b 1
:: Many thanks to Ent & centauricw over at 
:: http://www.techguy.org/ for help with the FOR command.